using Microsoft.IdentityModel.Tokens;

namespace Infrastructure.Security;

public class JwtOptions(
    string issuer,
    string audience,
    long duration,
    SigningCredentials credentials)
{
    public string Issuer { get; } = issuer;

    public string Audience { get; } = audience;

    public long Duration { get; } = duration;

    public SigningCredentials SigningCredentials { get; } = credentials;
}